unit Mainunit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, ExtCtrls, StdCtrls;

type
  TMain = class(TForm)
    MainMenu1: TMainMenu;
    mFile: TMenuItem;
    mFileGrabScreenshot: TMenuItem;
    mFileBar1: TMenuItem;
    mFileExit: TMenuItem;
    mHelp: TMenuItem;
    mHelpAbout: TMenuItem;
    ShotTimer: TTimer;
    Panel1: TPanel;
    shLine: TShape;
    lbStatus: TLabel;
    lbPos: TLabel;
    procedure mFileGrabScreenshotClick(Sender: TObject);
    procedure mFileExitClick(Sender: TObject);
    procedure ShotTimerTimer(Sender: TObject);
    procedure mHelpAboutClick(Sender: TObject);
    procedure Panel1Resize(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    ShotCounter: Integer;
    { Private declarations }
  public
    { Public declarations }
    procedure UpdatePos(X, Y: Integer);
  end;

var
  Main: TMain;

implementation

uses
  UImgForm;

{$R *.DFM}

procedure TMain.UpdatePos(X, Y: Integer);
begin
  lbPos.Caption:=IntToStr(Y) + ':' + IntToStr(X);
end;

procedure TMain.mFileGrabScreenshotClick(Sender: TObject);
begin
  lbStatus.Caption:='';
  MessageBox(Handle, 'In 5 seconds the screenshot will be taken!', 'Screenshot', MB_OK or MB_ICONINFORMATION);
  lbStatus.Caption:='Waiting 5 seconds for the screenshot...';
  ShotTimer.Enabled:=True;
  mFileGrabScreenshot.Enabled:=False;
end;

procedure TMain.mFileExitClick(Sender: TObject);
begin
  Close;
end;

procedure TMain.ShotTimerTimer(Sender: TObject);
var
  DeskDC: HDC;
  Bitmap: TBitmap;
begin
  ShotTimer.Enabled:=False;
  mFileGrabScreenshot.Enabled:=True;
  DeskDC:=GetDC(0);
  Bitmap:=TBitmap.Create;
  Bitmap.Width:=Screen.Width;
  Bitmap.Height:=Screen.Height;
  WinProcs.BitBlt(Bitmap.Canvas.Handle,
    0, 0, Screen.Width, Screen.Height,
    DeskDC, 0, 0, SRCCOPY);
  ReleaseDC(0, DeskDC);

  Application.CreateForm(TImgForm, ImgForm);
  Inc(ShotCounter);
  ImgForm.Caption:='Screenshot #' + IntToStr(ShotCounter);
  ImgForm.img.Width:=Screen.Width;
  ImgForm.img.Height:=Screen.Height;
  ImgForm.img.Picture.Assign(Bitmap);
  Bitmap.Free;

  lbStatus.Caption:='Screenshot ' + IntToStr(ShotCounter) + ' taken!';
end;

procedure TMain.mHelpAboutClick(Sender: TObject);
begin
  MessageBox(Handle, 'Screenshot Utility by Kostas "Bad Sector" Michalopoulos', 'About...', MB_OK or MB_ICONINFORMATION);
end;

procedure TMain.Panel1Resize(Sender: TObject);
begin
  shLine.Width:=Panel1.Width;
  lbPos.Left:=Panel1.Width - 76;
end;

procedure TMain.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  lbPos.Caption:='';
end;

end.
